import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

import java.util.List;
import java.util.ArrayList;
//import java.util.Calendar;

/**
 * Des ampoules changent d'états lorsqu'on clique dessus, ainsi que ses
 * voisinnes. Le but est de les allumer toutes.
 * 
 * @author Bernard Gisin
 * @version 0.1
 */
public class cAct01 extends Actor
{
    
    /** Image d'une ampoule allumée */
    private GreenfootImage AmpouleAllumee;
   
    /** Image d'une ampoule éteinte */
    private GreenfootImage AmpouleEteinte;

    public boolean fAllumee = false; // indique l'état de l'ampoule
    
    public cAct01()
    {
        AmpouleAllumee = new GreenfootImage("ampoulealumee.jpg");
        AmpouleEteinte = new GreenfootImage("ampouleeteinte.jpg");
    }

    /**
     * act()  est appelé plusieurs fois par secondes.
     * C'est a travers lui que les événements sont testés.
     */
    public void act()
    {
        processMouse();
    }
    
    /**
     * Vérifie si on a cliqué sur l'ampoule.
     */
    private void processMouse() {
       if(Greenfoot.mouseClicked(this)) {
            int nX = getX();
            int nY = getY();
            
            // change l'état de l'ampoule et des voisinnes
            ((MyWorld)getWorld()).changeVoisins(nX-1, nY-1);
        }
    }
    
    /**
     * Change l'état de l'ampoule de numéro  nX, nY.
     */
    public void change() {
       
       if (fAllumee) {
           fAllumee = false;
           setImage(AmpouleEteinte);
           ((MyWorld)getWorld()).nbAmpoulesEteinte++;
       }
       else {
           fAllumee = true;
           setImage(AmpouleAllumee);
           ((MyWorld)getWorld()).nbAmpoulesEteinte--;
       }
    }

}